using adas_core.Application.Repositories.Interfaces;
using adas_core.Application.Services.Interfaces;
using adas_core.Domain.Models;
using MongoDB.Bson;

namespace adas_core.Application.Services;

public class ArchivePatientObservationsService(IObservationArchiveRepository archivedPatientObservationService)
    : IArchivedPatientObservationService
{
    public async Task<List<PatientObservation>> FindArchivedPatientObservationsFromPatient(ObjectId patientId)
    {
        return await archivedPatientObservationService.FindAllFromPatient(patientId);
    }
}